#!/bin/bash

#SBATCH --qos=short
#SBATCH --time=0-23:55:00
#SBATCH --job-name=TestAutomatic
#SBATCH --constraint=broadwell
#SBATCH --account=anthroia
#SBATCH --output=./log/slurm_out.out
#SBATCH --error=./log/slurm_error.err
#SBATCH --ntasks=32
#SBATCH --tasks-per-node=32
#SBATCH --profile=energy
#SBATCH --acctg-freq=energy=5
#SBATCH --exclusive
#SBATCH --mail-type=END,FAIL
#SBATCH --mail-user=johfeld@pik-potsdam.de
#SBATCH --no-requeue

module purge
# module load pism/stable08_srunpetsc
module load pism/stable1.0_broadwell
module load anaconda/2.3.0

# pismver=pism15
# codever=pism0.6_hpc15
slurm_ntasks=32
# OMP_NUM_THREADS=32

thisdir=`echo $PWD`
thisdirsolo=`echo $PWD | awk -F/ '{print $NF}'`

workdir=`grep ^WORKDIR= runPism.sh | awk -F= '{print $NF}'`
cd ../
runname=`echo $PWD | awk -F/ '{print $NF}'`
cd $thisdir
outdir=$workdir/$runname/$thisdirsolo

echo $outdir
mkdir -p $outdir/log

module load git/2.5.0
# echo >> ./log/srunInfo
# echo ------ $runname --- `date` ------ 		>> ./log/srunInfo
# cd /home/albrecht/$pismver/$codever
# /p/system/packages/git/2.5.0/bin/git describe >> $thisdir/log/srunInfo
# /p/system/packages/git/2.5.0/bin/git branch | grep \* >> $thisdir/log/srunInfo
# /p/system/packages/git/2.5.0/bin/git show | grep -e commit -e Author -e Date >> $thisdir/log/srunInfo
# #echo $slurm_ntasks >> $thisdir/log/srunInfo
# cd $thisdir

export PISM_ON_CLUSTER=1
# ./runPism.sh $slurm_ntasks > ./pism.out
# echo run finished at `date`                 	>> ./srunInfo
./runPism.sh $slurm_ntasks > ./log/runPism.out
echo "run (ID: $SLURM_JOB_ID) finished at `date`"                 	>> ./log/srunInfo
